skylighting-0.1.1.5: syntax highlighting library

Safe Haskell | None
Language | Haskell2010

Skylighting.Styles

Synopsis

- parseTheme :: ByteString -> Either String Style
- kate :: Style
- breezeDark :: Style
- pygments :: Style
- espresso :: Style
- tango :: Style
- haddock :: Style
- monochrome :: Style
- zenburn :: Style

# Documentation

parseTheme :: ByteString -> Either String Style #

Parse a KDE theme JSON document into a skylighting Style.

kate :: Style #

Style based on kate's default colors.

breezeDark :: Style #

Style from the breeze-dark KDE syntax highlighting theme.

pygments :: Style #

Style based on pygments's default colors.

espresso :: Style #

Style based on ultraviolet's espresso_libre.css (dark background).

tango :: Style #

Style based on pygments's tango colors.

haddock :: Style #

Style based on haddock's source highlighting.

monochrome :: Style #

Style with no colors.

zenburn :: Style #

Style based on the popular zenburn vim color scheme